jQuery(document).ready(function($) {
    
   $(document).on('click', '.tmk_var', function(){
      var text = $(this).attr('data-val');
      text = '%'+text+'%';
      var teatarea_obj = $(this).parent().parent().siblings('.acf-input').find('textarea');
      teatarea_obj.val(teatarea_obj.val() + text);
   });

   // woocommere settings page test gateway
   $(document).on('click', '.tmk_test_gateway', function(){
      var $this = $(this);
      var gw_panel = $(this).closest('.acf-field').siblings('.acf-field-64345ea6c71e5').find('select').val();
      var gw_username = $(this).closest('.acf-field').siblings('.acf-field-64345ea6c71e6').find('input[type=text]').val();
      var gw_password = $(this).closest('.acf-field').siblings('.acf-field-64345ea6c71e7').find('input[type=text]').val();
      var gw_sender = $(this).closest('.acf-field').siblings('.acf-field-6434fb1a10ba8').find('input[type=text]').val();
      
      if ( timak_is_empty(gw_panel) || timak_is_empty(gw_username) || timak_is_empty(gw_password) || timak_is_empty(gw_sender)  ) {
         timak_notification('لطفاً همه اطلاعات را کامل وارد کنید');
      }
      timak_notification('در حال ارسال پیامک تستی','success');

      jQuery.ajax({
         url: ajaxurl,
         type: 'POST',
         data: {
            action: 'timak_check_gateway',
            panel : gw_panel,
            username : gw_username,
            password : gw_password,
            sender : gw_sender,
         },
         beforeSend: function() {
            $this.text('صبر کنید ...');
         },
         success: function(response) {
            if ( response == 'ok' ) {
               timak_notification('پیامک تستی ارسال شد. پنل خود را در سایت درگاه جهت اطمینان بررسی کنید', 'success');
            }  else if ( response == 'wrong-info' ) {
               timak_notification('لطفاً همه اطلاعات درگاه را وارد کنید');
            } else {
               timak_notification('پیامک ارسال نشد. متن خطا: ' + response);
            }
         },
         complete: function() {
            $this.text('ارسال پیامک');
         }
     });
   });

   // product page test gateway
   $(document).on('click', '.tmk_ptest_gateway', function(){
      var $this = $(this); 
      var gw_panel = $(this).closest('.acf-field').siblings('.acf-field-6434dc2385a21').find('select').val();
      var gw_username = $(this).closest('.acf-field').siblings('.acf-field-6434dc2385a22').find('input[type=text]').val();
      var gw_password = $(this).closest('.acf-field').siblings('.acf-field-6434dc2385a23').find('input[type=text]').val();
      var gw_sender = $(this).closest('.acf-field').siblings('.acf-field-6434f75443e7f').find('input[type=text]').val();
      
      if ( timak_is_empty(gw_panel) || timak_is_empty(gw_username) || timak_is_empty(gw_password) || timak_is_empty(gw_sender)  ) {
         timak_notification('لطفاً همه اطلاعات را کامل وارد کنید');
      }
      timak_notification('در حال ارسال پیامک تستی','success');

      jQuery.ajax({
         url: ajaxurl,
         type: 'POST',
         data: {
            action: 'timak_check_gateway',
            panel : gw_panel,
            username : gw_username,
            password : gw_password,
            sender : gw_sender,
         },
         beforeSend: function() {
            $this.text('صبر کنید ...');
         },
         success: function(response) {
            if ( response == 'ok' ) {
               timak_notification('پیامک تستی ارسال شد. پنل خود را در سایت درگاه جهت اطمینان بررسی کنید', 'success');
            }  else if ( response == 'wrong-info' ) {
               timak_notification('لطفاً همه اطلاعات درگاه را وارد کنید');
            } else {
               timak_notification('پیامک ارسال نشد. متن خطا: ' + response);
            }
         },
         complete: function() {
            $this.text('ارسال پیامک');
         }
     });
   });

   // check empty function
   var timak_is_empty = function (data) {
      if(typeof(data) === 'object'){
            if(JSON.stringify(data) === '{}' || JSON.stringify(data) === '[]'){
               return true;
            }else if(!data){
               return true;
            }
            return false;
      }else if(typeof(data) === 'string'){
            if(!data.trim()){
               return true;
            }
            return false;
      }else if(typeof(data) === 'undefined'){
            return true;
      }else{
            return false;
      }
   }


   var timak_notification= function (message, success="") {
      var $_bg_color = 'red';
      if( success == 'success' ) {
          var $_bg_color = 'green';
      }
      $.toast({
          text: message,
          showHideTransition: 'slide',
          textAlign: 'center',
          stack: false,
          position: 'bottom-center',
          bgColor: $_bg_color,
          textColor: '#fff', //'#721c24',
          loaderBg: '#333',
          class: 'timak-error-toast',
          hideAfter: 30000,
          allowToastClose: true,
      });
  }

});